Subject: bug#65763: Error opening a file from a Git working directory if Git is not installed

From: Paul Pogonyshev <[email-masked]>
Date: Wed, 6 Sep 2023 09:29:59 +0200

The problem appears to be only with `debug-on-error'. However, there are
cases where you cannot control it at all, e.g. with ERT (probably also
Buttercup or any other testing framework). In effect, an ERT test fails for
a "random" reason, depending on which machine it is executed, i.e. it fails
inside that Docker container.

Paul

On Wed, 6 Sept 2023 at 04:26, Eli Zaretskii <[email-masked]> wrote:

> > From: Paul Pogonyshev <[email-masked]>
> > Date: Tue, 5 Sep 2023 22:14:15 +0200
> > Cc: [email-masked]
> >
> > Ah, `debug-on-error' makes `with-demoted-errors' not demote it.
>
> Yes, exactly.
>
> > It seems in my case `debug-on-error' is let-bound in
> `ert--run-test-internal'. I.e. when file is failed to be
> > opened inside a ERT-based test, there is no warning, it's a hard error.
> I happen to run ERT tests
> > inside a Docker container.
> >
> > I'm not sure if it is a bug, but it does cause problems.
>
> Are the problems it causes happen only when debug-on-error is non-nil
> for some reason?  Or did you see it cause problems in other cases as
> well?
>